Name: cdrkit
Version: 1.1.9
Release: alt2

Summary: This package is heavily based on cdrtools
Group: Development/C
License: GPL
Url: http://www.cdrkit.org/

Packager: Hihin Ruslan <ruslandh@altlinux.ru>

Source: http://cdrkit.org/releases/%name-%version.tar.gz
PreReq: cdrkit-control

Requires: wodim = %version-%release,  genisoimage = %version-%release, readom = %version-%release, cdrkit-utils = %version-%release
#Requires: netscsid = %version-%release

# Automatically added by buildreq on Tue Nov 04 2008
BuildRequires: bzlib-devel cmake libcap-devel zlib-devel

%description
Virtual package.
This package is heavily based on cdrtools (by Jrg
Schilling, see below), however he is not affiliated
with the debburn development project creating this package.

%package utils
Version: %version
Summary: Utils for cdrkit
Summary(ru_RU.KOI8-R):     CD/DVD
Group: Archiving/Cd burning
PreReq: cdrkit-control
Obsoletes: cdrkit-doc cdrkit-man

%package -n wodim
Version: %version
Summary: A command line CD/DVD-Recorder
Summary(ru_RU.KOI8-R):     CD/DVD
Group: Archiving/Cd burning
PreReq: cdrkit-control

%package -n netscsid
Version: %version
Summary: Netscsid: NET SCSI Daemon.
Group: Archiving/Cd burning
PreReq: cdrkit-control
Requires: cdrkit-utils = %version

%package -n genisoimage
Version: %version
Summary: Creates an image of an ISO9660 filesystem
Summary(ru_RU.KOI8-R):     ISO9660
Group: Archiving/Cd burning

%package -n readom
Version: %version
Summary: readcd read or write data Compact Discs
Summary(ru_RU.KOI8-R):   /   CD
Group: Archiving/Cd burning

%description -n wodim
Cdrecord is an application for creating audio and data CDs on
a CD-Recorder (SCSI/ATAPI).  Cdrecord works with many different
brands of CD recorders, fully supports data, audio, mixed,
multi-session, CD+ discs and provides human-readable error messages.

- wodim (a CD recording program). Originaly based on
  cdrecord by Jrg Schilling <schilling@fokus.fhg.de> but
  developed independently now.

%description -n genisoimage
The genisoimage program is used as a pre-mastering program; i.e., it
generates the ISO9660 filesystem.  genisoimage takes a snapshot of
a given directory tree and generates a binary image of the tree
which will correspond to an ISO9660 filesystem when written to
a block device.  genisoimage is used for writing CD-ROMs, and includes
support for creating bootable El Torito CD-ROMs.

Install the genisoimage package if you need a program for writing CD-ROMs.

%description -n genisoimage -l ru_RU.KOI8-R
genisoimage -      -,
   ISO9660.    
        
,    ISO9660.  genisoimage
     -.

     -.

%description -n readom
Readcd is used to read or write Compact Discs.

%description -n netscsid
Netscsid: NET SCSI Daemon.

%description utils
This package is heavily based on cdrtools (by Jrg
Schilling, see below), however he is not affiliated
with the debburn development project creating this package.

This package contains the following software:

- mkhybrid (an ISO-9660/HFS filesystem image creator)
  Link to mkisofs

- several diagnostic programs for ISO-9660, originaly from
  cdrtools (by Jrg Schilling),

- usalcheck (a program to validate the correct behavior
  By Jrg Schilling schilling@fokus.fhg.de and
  of the low level libusal code and the SCSI transport
  code of the underlying OS).

- libusal (a highly portable SCSI transport library)
  By Jrg Schilling schilling@fokus.fhg.de

%prep
%setup

%build
%make CFLAGS=-I%_includedir,-Wno-dev PREFIX=%buildroot/usr
#pushd 3rd-party/zisofs_tools
#configure
#make
#popd

%install
%make PREFIX=%buildroot/usr install
%find_lang %name
#pushd 3rd-party/zisofs_tools
#makeinstall
#popd
install -d -m 755 %buildroot%_docdir/%name-%version/
f=`ls ./doc`
for i in $f
do
cp -r "./doc/$i" %buildroot%_docdir/%name-%version/$i
done

%pre -n wodim
%pre_control wodim

%post -n wodim
%register_alternatives cdrecord-classic
%post_control wodim

%pre -n readom
%pre_control readom

%post -n readom
%post_control readom

%post
%preun

%files

%files -n wodim -f %name.lang
%_bindir/wodim
%_man1dir/wodim.1.*
%doc %_docdir/%name-%version/wodim/*

%files -n genisoimage -f %name.lang
%_bindir/genisoimage*
%_man1dir/genisoimage.1.*
%doc %_docdir/%name-%version/genisoimage/*

%files -n readom -f %name.lang
%_bindir/readom
%_man1dir/readom.1.*

%files -n netscsid -f %name.lang
%_sbindir/*
%doc %_docdir/%name-%version/READMEs/README.netscsid

%files utils -f %name.lang
%doc ABOUT COPYING Changelog FAQ FORK INSTALL START TODO VERSION
%dir %_docdir/%name-%version/
%doc %_docdir/%name-%version/*
%exclude %_docdir/%name-%version/wodim/*
%exclude %_docdir/%name-%version/genisoimage/*
%exclude %_docdir/%name-%version/READMEs/README.netscsid

%_bindir/*
%exclude %_bindir/devdump
%exclude %_bindir/isodebug
%exclude %_bindir/isodump
%exclude %_bindir/isoinfo
%exclude %_bindir/isovfy
%exclude %_bindir/cdda2ogg
%exclude %_bindir/cdda2mp3
%exclude %_bindir/readom
%exclude %_bindir/wodim
%exclude %_bindir/genisoimage

%_mandir/man?/*

%exclude %_man1dir/readom.1.*
%exclude %_man1dir/wodim.1.*
%exclude %_man1dir/genisoimage.1.*
%exclude %_man1dir/cdda2ogg.1.*
%exclude %_man1dir/devdump.1.*
%exclude %_man1dir/isodebug.1.*
%exclude %_man1dir/isodump.1.*
%exclude %_man1dir/isoinfo.1.*
%exclude %_man1dir/isovfy.1.*

%changelog
* Wed Nov 05 2008 Hihin Ruslan <ruslandh@altlinux.ru> 1.1.9-alt2
- Fix spec %%post_control readom

* Mon Nov 03 2008 Hihin Ruslan <ruslandh@altlinux.ru> 1.1.9-alt1
- New Version.
- New structure package.

* Wed Sep 17 2008 Hihin Ruslan <ruslandh@altlinux.ru> 1.1.8-alt1
- New Version

* Sun Feb 10 2008 Hihin Ruslan <ruslandh@altlinux.ru> 1.1.6-alt1
- New Version

* Tue Jan 16 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.1.1-alt2
- corrext summary

* Sun Jan 14 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.1.1-alt1
- correct description

* Sun Jan 14 2007 Hihin Ruslan <ruslandh@altlinux.ru> 1.1.1-alt0
- initial build

usr/bin:
dirsplit
genisoimage
icedax
pitchplay
readmult
readom
wodim

usr/sbin:
netscsid
